---
title: Bulk update org group memberships
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Org Groups
---

# Bulk update org group memberships{% #bulk-update-org-group-memberships %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                          |
| ----------------- | --------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/org_group_memberships/bulk |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/org_group_memberships/bulk |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/org_group_memberships/bulk      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/org_group_memberships/bulk      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/org_group_memberships/bulk  |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/org_group_memberships/bulk     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/org_group_memberships/bulk |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/org_group_memberships/bulk |

### Overview

Move a batch of organizations from one org group to another. This is an atomic operation. Maximum 100 orgs per request. This endpoint requires the `org_group_write` permission.

### Request

#### Body Data (required)



{% tab title="Model" %}

| Parent field     | Field                              | Type     | Description                                                                                              |
| ---------------- | ---------------------------------- | -------- | -------------------------------------------------------------------------------------------------------- |
|                  | data [*required*]             | object   | Data for bulk updating org group memberships.                                                            |
| data             | attributes [*required*]       | object   | Attributes for bulk updating org group memberships.                                                      |
| attributes       | orgs [*required*]             | [object] | List of organizations to move. Maximum 100 per request.                                                  |
| orgs             | org_site [*required*]         | string   | The site of the organization.                                                                            |
| orgs             | org_uuid [*required*]         | uuid     | The UUID of the organization.                                                                            |
| data             | relationships [*required*]    | object   | Relationships for bulk updating memberships.                                                             |
| relationships    | source_org_group [*required*] | object   | Relationship to a single org group.                                                                      |
| source_org_group | data [*required*]             | object   | A reference to an org group.                                                                             |
| data             | id [*required*]               | uuid     | The ID of the org group.                                                                                 |
| data             | type [*required*]             | enum     | Org groups resource type. Allowed enum values: `org_groups`                                              |
| relationships    | target_org_group [*required*] | object   | Relationship to a single org group.                                                                      |
| target_org_group | data [*required*]             | object   | A reference to an org group.                                                                             |
| data             | id [*required*]               | uuid     | The ID of the org group.                                                                                 |
| data             | type [*required*]             | enum     | Org groups resource type. Allowed enum values: `org_groups`                                              |
| data             | type [*required*]             | enum     | Org group membership bulk update resource type. Allowed enum values: `org_group_membership_bulk_updates` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "orgs": [
        {
          "org_site": "us1",
          "org_uuid": "c3d4e5f6-a7b8-9012-cdef-012345678901"
        }
      ]
    },
    "relationships": {
      "source_org_group": {
        "data": {
          "id": "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
          "type": "org_groups"
        }
      },
      "target_org_group": {
        "data": {
          "id": "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
          "type": "org_groups"
        }
      }
    },
    "type": "org_group_membership_bulk_updates"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a list of org group memberships.

| Parent field  | Field                         | Type      | Description                                                                       |
| ------------- | ----------------------------- | --------- | --------------------------------------------------------------------------------- |
|               | data [*required*]        | [object]  | An array of org group memberships.                                                |
| data          | attributes [*required*]  | object    | Attributes of an org group membership.                                            |
| attributes    | created_at [*required*]  | date-time | Timestamp when the membership was created.                                        |
| attributes    | modified_at [*required*] | date-time | Timestamp when the membership was last modified.                                  |
| attributes    | org_name [*required*]    | string    | The name of the member organization.                                              |
| attributes    | org_site [*required*]    | string    | The site of the member organization.                                              |
| attributes    | org_uuid [*required*]    | uuid      | The UUID of the member organization.                                              |
| data          | id [*required*]          | uuid      | The ID of the org group membership.                                               |
| data          | relationships                 | object    | Relationships of an org group membership.                                         |
| relationships | org_group                     | object    | Relationship to a single org group.                                               |
| org_group     | data [*required*]        | object    | A reference to an org group.                                                      |
| data          | id [*required*]          | uuid      | The ID of the org group.                                                          |
| data          | type [*required*]        | enum      | Org groups resource type. Allowed enum values: `org_groups`                       |
| data          | type [*required*]        | enum      | Org group memberships resource type. Allowed enum values: `org_group_memberships` |
|               | links                         | object    | Pagination links for navigating between pages of an org group list response.      |
| links         | first                         | string    | Link to the first page.                                                           |
| links         | last                          | string    | Link to the last page.                                                            |
| links         | next                          | string    | Link to the next page.                                                            |
| links         | prev                          | string    | Link to the previous page.                                                        |
| links         | self                          | string    | Link to the current page.                                                         |
|               | meta                          | object    | Pagination metadata for org group list responses.                                 |
| meta          | page                          | object    | Page-based pagination details for org group list responses.                       |
| page          | first_number                  | int64     | First page number.                                                                |
| page          | last_number                   | int64     | Last page number.                                                                 |
| page          | next_number                   | int64     | Next page number.                                                                 |
| page          | number                        | int64     | Page number.                                                                      |
| page          | prev_number                   | int64     | Previous page number.                                                             |
| page          | size                          | int64     | Page size.                                                                        |
| page          | total                         | int64     | Total number of results.                                                          |
| page          | type                          | string    | Pagination type.                                                                  |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "created_at": "2024-01-15T10:30:00Z",
        "modified_at": "2024-01-15T10:30:00Z",
        "org_name": "Acme Corp",
        "org_site": "us1",
        "org_uuid": "c3d4e5f6-a7b8-9012-cdef-012345678901"
      },
      "id": "f1e2d3c4-b5a6-7890-1234-567890abcdef",
      "relationships": {
        "org_group": {
          "data": {
            "id": "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
            "type": "org_groups"
          }
        }
      },
      "type": "org_group_memberships"
    }
  ],
  "links": {
    "first": "string",
    "last": "string",
    "next": "string",
    "prev": "string",
    "self": "string"
  },
  "meta": {
    "page": {
      "first_number": "integer",
      "last_number": "integer",
      "next_number": "integer",
      "number": "integer",
      "prev_number": "integer",
      "size": "integer",
      "total": "integer",
      "type": "number_size"
    }
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/org_group_memberships/bulk" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "orgs": [
        {
          "org_site": "us1",
          "org_uuid": "c3d4e5f6-a7b8-9012-cdef-012345678901"
        }
      ]
    },
    "relationships": {
      "source_org_group": {
        "data": {
          "id": "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
          "type": "org_groups"
        }
      },
      "target_org_group": {
        "data": {
          "id": "d4e5f6a7-b890-1234-cdef-567890abcdef",
          "type": "org_groups"
        }
      }
    },
    "type": "org_group_membership_bulk_updates"
  }
}
EOF 
                
##### 

```python
"""
Bulk update org group memberships returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.org_groups_api import OrgGroupsApi
from datadog_api_client.v2.model.global_org_identifier import GlobalOrgIdentifier
from datadog_api_client.v2.model.org_group_membership_bulk_update_attributes import (
    OrgGroupMembershipBulkUpdateAttributes,
)
from datadog_api_client.v2.model.org_group_membership_bulk_update_data import OrgGroupMembershipBulkUpdateData
from datadog_api_client.v2.model.org_group_membership_bulk_update_relationships import (
    OrgGroupMembershipBulkUpdateRelationships,
)
from datadog_api_client.v2.model.org_group_membership_bulk_update_request import OrgGroupMembershipBulkUpdateRequest
from datadog_api_client.v2.model.org_group_membership_bulk_update_type import OrgGroupMembershipBulkUpdateType
from datadog_api_client.v2.model.org_group_relationship_to_one import OrgGroupRelationshipToOne
from datadog_api_client.v2.model.org_group_relationship_to_one_data import OrgGroupRelationshipToOneData
from datadog_api_client.v2.model.org_group_type import OrgGroupType
from uuid import UUID

body = OrgGroupMembershipBulkUpdateRequest(
    data=OrgGroupMembershipBulkUpdateData(
        attributes=OrgGroupMembershipBulkUpdateAttributes(
            orgs=[
                GlobalOrgIdentifier(
                    org_site="us1",
                    org_uuid=UUID("c3d4e5f6-a7b8-9012-cdef-012345678901"),
                ),
            ],
        ),
        relationships=OrgGroupMembershipBulkUpdateRelationships(
            source_org_group=OrgGroupRelationshipToOne(
                data=OrgGroupRelationshipToOneData(
                    id=UUID("a1b2c3d4-e5f6-7890-abcd-ef0123456789"),
                    type=OrgGroupType.ORG_GROUPS,
                ),
            ),
            target_org_group=OrgGroupRelationshipToOne(
                data=OrgGroupRelationshipToOneData(
                    id=UUID("a1b2c3d4-e5f6-7890-abcd-ef0123456789"),
                    type=OrgGroupType.ORG_GROUPS,
                ),
            ),
        ),
        type=OrgGroupMembershipBulkUpdateType.ORG_GROUP_MEMBERSHIP_BULK_UPDATES,
    ),
)

configuration = Configuration()
configuration.unstable_operations["bulk_update_org_group_memberships"] = True
with ApiClient(configuration) as api_client:
    api_instance = OrgGroupsApi(api_client)
    response = api_instance.bulk_update_org_group_memberships(body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Bulk update org group memberships returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.bulk_update_org_group_memberships".to_sym] = true
end
api_instance = DatadogAPIClient::V2::OrgGroupsAPI.new

body = DatadogAPIClient::V2::OrgGroupMembershipBulkUpdateRequest.new({
  data: DatadogAPIClient::V2::OrgGroupMembershipBulkUpdateData.new({
    attributes: DatadogAPIClient::V2::OrgGroupMembershipBulkUpdateAttributes.new({
      orgs: [
        DatadogAPIClient::V2::GlobalOrgIdentifier.new({
          org_site: "us1",
          org_uuid: "c3d4e5f6-a7b8-9012-cdef-012345678901",
        }),
      ],
    }),
    relationships: DatadogAPIClient::V2::OrgGroupMembershipBulkUpdateRelationships.new({
      source_org_group: DatadogAPIClient::V2::OrgGroupRelationshipToOne.new({
        data: DatadogAPIClient::V2::OrgGroupRelationshipToOneData.new({
          id: "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
          type: DatadogAPIClient::V2::OrgGroupType::ORG_GROUPS,
        }),
      }),
      target_org_group: DatadogAPIClient::V2::OrgGroupRelationshipToOne.new({
        data: DatadogAPIClient::V2::OrgGroupRelationshipToOneData.new({
          id: "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
          type: DatadogAPIClient::V2::OrgGroupType::ORG_GROUPS,
        }),
      }),
    }),
    type: DatadogAPIClient::V2::OrgGroupMembershipBulkUpdateType::ORG_GROUP_MEMBERSHIP_BULK_UPDATES,
  }),
})
p api_instance.bulk_update_org_group_memberships(body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Bulk update org group memberships returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
	"github.com/google/uuid"
)

func main() {
	body := datadogV2.OrgGroupMembershipBulkUpdateRequest{
		Data: datadogV2.OrgGroupMembershipBulkUpdateData{
			Attributes: datadogV2.OrgGroupMembershipBulkUpdateAttributes{
				Orgs: []datadogV2.GlobalOrgIdentifier{
					{
						OrgSite: "us1",
						OrgUuid: uuid.MustParse("c3d4e5f6-a7b8-9012-cdef-012345678901"),
					},
				},
			},
			Relationships: datadogV2.OrgGroupMembershipBulkUpdateRelationships{
				SourceOrgGroup: datadogV2.OrgGroupRelationshipToOne{
					Data: datadogV2.OrgGroupRelationshipToOneData{
						Id:   uuid.MustParse("a1b2c3d4-e5f6-7890-abcd-ef0123456789"),
						Type: datadogV2.ORGGROUPTYPE_ORG_GROUPS,
					},
				},
				TargetOrgGroup: datadogV2.OrgGroupRelationshipToOne{
					Data: datadogV2.OrgGroupRelationshipToOneData{
						Id:   uuid.MustParse("a1b2c3d4-e5f6-7890-abcd-ef0123456789"),
						Type: datadogV2.ORGGROUPTYPE_ORG_GROUPS,
					},
				},
			},
			Type: datadogV2.ORGGROUPMEMBERSHIPBULKUPDATETYPE_ORG_GROUP_MEMBERSHIP_BULK_UPDATES,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.BulkUpdateOrgGroupMemberships", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewOrgGroupsApi(apiClient)
	resp, r, err := api.BulkUpdateOrgGroupMemberships(ctx, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `OrgGroupsApi.BulkUpdateOrgGroupMemberships`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `OrgGroupsApi.BulkUpdateOrgGroupMemberships`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Bulk update org group memberships returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.OrgGroupsApi;
import com.datadog.api.client.v2.model.GlobalOrgIdentifier;
import com.datadog.api.client.v2.model.OrgGroupMembershipBulkUpdateAttributes;
import com.datadog.api.client.v2.model.OrgGroupMembershipBulkUpdateData;
import com.datadog.api.client.v2.model.OrgGroupMembershipBulkUpdateRelationships;
import com.datadog.api.client.v2.model.OrgGroupMembershipBulkUpdateRequest;
import com.datadog.api.client.v2.model.OrgGroupMembershipBulkUpdateType;
import com.datadog.api.client.v2.model.OrgGroupMembershipListResponse;
import com.datadog.api.client.v2.model.OrgGroupRelationshipToOne;
import com.datadog.api.client.v2.model.OrgGroupRelationshipToOneData;
import com.datadog.api.client.v2.model.OrgGroupType;
import java.util.Collections;
import java.util.UUID;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.bulkUpdateOrgGroupMemberships", true);
    OrgGroupsApi apiInstance = new OrgGroupsApi(defaultClient);

    OrgGroupMembershipBulkUpdateRequest body =
        new OrgGroupMembershipBulkUpdateRequest()
            .data(
                new OrgGroupMembershipBulkUpdateData()
                    .attributes(
                        new OrgGroupMembershipBulkUpdateAttributes()
                            .orgs(
                                Collections.singletonList(
                                    new GlobalOrgIdentifier()
                                        .orgSite("us1")
                                        .orgUuid(
                                            UUID.fromString(
                                                "c3d4e5f6-a7b8-9012-cdef-012345678901")))))
                    .relationships(
                        new OrgGroupMembershipBulkUpdateRelationships()
                            .sourceOrgGroup(
                                new OrgGroupRelationshipToOne()
                                    .data(
                                        new OrgGroupRelationshipToOneData()
                                            .id(
                                                UUID.fromString(
                                                    "a1b2c3d4-e5f6-7890-abcd-ef0123456789"))
                                            .type(OrgGroupType.ORG_GROUPS)))
                            .targetOrgGroup(
                                new OrgGroupRelationshipToOne()
                                    .data(
                                        new OrgGroupRelationshipToOneData()
                                            .id(
                                                UUID.fromString(
                                                    "a1b2c3d4-e5f6-7890-abcd-ef0123456789"))
                                            .type(OrgGroupType.ORG_GROUPS))))
                    .type(OrgGroupMembershipBulkUpdateType.ORG_GROUP_MEMBERSHIP_BULK_UPDATES));

    try {
      OrgGroupMembershipListResponse result = apiInstance.bulkUpdateOrgGroupMemberships(body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling OrgGroupsApi#bulkUpdateOrgGroupMemberships");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Bulk update org group memberships returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_org_groups::OrgGroupsAPI;
use datadog_api_client::datadogV2::model::GlobalOrgIdentifier;
use datadog_api_client::datadogV2::model::OrgGroupMembershipBulkUpdateAttributes;
use datadog_api_client::datadogV2::model::OrgGroupMembershipBulkUpdateData;
use datadog_api_client::datadogV2::model::OrgGroupMembershipBulkUpdateRelationships;
use datadog_api_client::datadogV2::model::OrgGroupMembershipBulkUpdateRequest;
use datadog_api_client::datadogV2::model::OrgGroupMembershipBulkUpdateType;
use datadog_api_client::datadogV2::model::OrgGroupRelationshipToOne;
use datadog_api_client::datadogV2::model::OrgGroupRelationshipToOneData;
use datadog_api_client::datadogV2::model::OrgGroupType;
use uuid::Uuid;

#[tokio::main]
async fn main() {
    let body = OrgGroupMembershipBulkUpdateRequest::new(OrgGroupMembershipBulkUpdateData::new(
        OrgGroupMembershipBulkUpdateAttributes::new(vec![GlobalOrgIdentifier::new(
            "us1".to_string(),
            Uuid::parse_str("c3d4e5f6-a7b8-9012-cdef-012345678901").expect("invalid UUID"),
        )]),
        OrgGroupMembershipBulkUpdateRelationships::new(
            OrgGroupRelationshipToOne::new(OrgGroupRelationshipToOneData::new(
                Uuid::parse_str("a1b2c3d4-e5f6-7890-abcd-ef0123456789").expect("invalid UUID"),
                OrgGroupType::ORG_GROUPS,
            )),
            OrgGroupRelationshipToOne::new(OrgGroupRelationshipToOneData::new(
                Uuid::parse_str("a1b2c3d4-e5f6-7890-abcd-ef0123456789").expect("invalid UUID"),
                OrgGroupType::ORG_GROUPS,
            )),
        ),
        OrgGroupMembershipBulkUpdateType::ORG_GROUP_MEMBERSHIP_BULK_UPDATES,
    ));
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.BulkUpdateOrgGroupMemberships", true);
    let api = OrgGroupsAPI::with_config(configuration);
    let resp = api.bulk_update_org_group_memberships(body).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Bulk update org group memberships returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.bulkUpdateOrgGroupMemberships"] = true;
const apiInstance = new v2.OrgGroupsApi(configuration);

const params: v2.OrgGroupsApiBulkUpdateOrgGroupMembershipsRequest = {
  body: {
    data: {
      attributes: {
        orgs: [
          {
            orgSite: "us1",
            orgUuid: "c3d4e5f6-a7b8-9012-cdef-012345678901",
          },
        ],
      },
      relationships: {
        sourceOrgGroup: {
          data: {
            id: "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
            type: "org_groups",
          },
        },
        targetOrgGroup: {
          data: {
            id: "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
            type: "org_groups",
          },
        },
      },
      type: "org_group_membership_bulk_updates",
    },
  },
};

apiInstance
  .bulkUpdateOrgGroupMemberships(params)
  .then((data: v2.OrgGroupMembershipListResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
